GET/projects/api/v3/exchange-rates/{fromCurrency}/{toCurrency}.json

Get exchange rate for a currency pair

Retrieves the exchange rate between two currencies for a specific date (or today if not specified). Uses the user's timezone to determine "today" when no date is provided.

Path Params

  • Name
    toCurrency
    Type
    string
    required
    Description

    Three-letter ISO currency code for the target currency (e.g., USD, EUR, GBP).

  • Name
    fromCurrency
    Type
    string
    required
    Description

    Three-letter ISO currency code for the source currency (e.g., USD, EUR, GBP).

Query Params

  • Name
    date
    Type
    string
    Description

    Date for the exchange rate (YYYY-MM-DD format). Defaults to today in the user's timezone.

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    ExchangeRateResponse contains a single exchange rate conversion.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Type
    object
    Schema
    Description
    404 Not Found
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    504
    Type
    object
    Schema
    Description
    504 Gateway Timeout
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

ExchangeRateResponse
{
  "exchangeRate": {
    "date": "2026-05-14",
    "fromCurrency": "string",
    "rate": 0,
    "toCurrency": "string"
  }
}